type: com.google.api.codegen.ConfigProto
config_schema_version: 2.0.0
language_settings:
  csharp:
    package_name: Google.Ads.GoogleAds.V7.Services
  go:
    package_name: google.golang.org/google/ads/googleads/v7/services
  java:
    package_name: com.google.ads.googleads.v7.services
  nodejs:
    package_name: v7.services
  php:
    package_name: Google\Ads\GoogleAds\V7\Services
  python:
    package_name: google.ads.googleads_v7.gapic.services
  ruby:
    package_name: Google::Ads::Googleads::V7::Services
interfaces:
- name: google.ads.googleads.v7.services.OfflineUserDataJobService
  methods:
  - name: RunOfflineUserDataJob
    long_running:
      initial_poll_delay_millis: 300000
      max_poll_delay_millis: 3600000
      poll_delay_multiplier: 1.25
      total_poll_timeout_millis: 43200000
